<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.missinglist')}" />
		</ui:define>
		<ui:define name="body">
			<p:panelGrid columns="2" styleClass="width100percent">
				<h:outputText value="#{facesContext.translate('label.study.parent')}" />
				<p:selectOneMenu id="dropdown_parent" value="#{studyModel.fkStudygroup}" filter="true" filterMatchMode="startsWith" required="#{!studyController.cancelling}"
					requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.study.parent')}">
					<f:selectItems value="#{studyController.studyGroupsOfUser}" var="sg" itemLabel="#{sg.name}" itemValue="#{sg.pk}" />
				</p:selectOneMenu>
				<h:outputText value="#{facesContext.translate('label.name.missinglist')}" />
				<p:inputText id="input_name" value="#{studyModel.missinglistName}" />
				<h:outputText value="#{facesContext.translate('label.description')}" />
				<p:inputTextarea id="input_descriptions" value="#{studyModel.missinglistDescription}" styleClass="inputTextarea"/>
			</p:panelGrid>
			<p:dataTable id="missinglist" value="#{studyModel.missinglist}" var="m">
				<p:column id="code" headerText="#{facesContext.translate('label.missingcode')}">
					<h:outputText value="#{m.code}" />
					<f:facet name="footer">
						<p:inputText id="input_code" value="#{studyModel.missingBean.code}" />
					</f:facet>
				</p:column>
				<p:column id="nameInStudy" headerText="#{facesContext.translate('label.missingname')}">
					<h:outputText value="#{m.nameInStudy}" />
					<f:facet name="footer">
						<p:inputText id="input_namedInStudy" value="#{studyModel.missingBean.nameInStudy}" />
					</f:facet>
				</p:column>
				<p:column id="typeName" headerText="#{facesContext.translate('label.missingtypename')}">
					<h:outputText value="#{m.typeName}" />
					<f:facet name="footer">
						<p:autoComplete id="input_typeName" value="#{studyModel.missingBean.typeName}" dropdown="true" completeMethod="#{studyModel.completeTypeName}" list="#{studyModel.missingtypes}" />
					</f:facet>
				</p:column>
				<p:column id="pkMissing" headerText="#{facesContext.translate('label.id')}">
					<ship:removeButton id="btn_remove" action="#{studyController.doRemoveMissing(m)}" value="" tooltip="#{facesContext.translate('button.remove')}" isLink="false"
						title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}"
						rendered="#{!m.isEmpty()}">
						<h:outputText value="#{facesContext.translate('confirmation.delete', m.code)}" />
					</ship:removeButton>
					<f:facet name="footer">
						<p:commandButton id="btn_addItem" action="#{studyController.doAddMissing}" ajax="false" value="#{facesContext.translate('button.add')}" />
					</f:facet>
				</p:column>
			</p:dataTable>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_ok" action="#{studyController.doApproveMissings}" ajax="false" value="#{facesContext.translate('button.approve')}" look="primary" />
			<p:commandButton id="btn_cancel" action="#{studyController.toMissinglist}" ajax="false" value="#{facesContext.translate('button.cancel')}" immediate="true" />
		</ui:define>
		<ui:define name="help_de">
			Auf dieser Seite können Sie eine neue Missingliste erstellen oder die Daten einer bestehenden Liste verändern. Sie sehen in der ersten Zeile, für welche Studiengruppe die Einstellungen vorgenommen werden. Darunter sind der Name und die Beschreibung der Missingliste anzugeben. <br /><br />

In der Tabelle werden dann einzelne Missingcodes aufgelistet. Diese codieren den Grund im Falle eines Fehlens von Werten. Jedem Code ist ein Name und ein Typ zuzuordnen. Der Typ klassifiziert den Missingcode als "missing" oder "jump". Bei jumps liegen die Gründe für das Fehlen von Werten im Studiendesign, z.B. "keine Zuordnung des Teilnehmers zu einer Untersuchung, die nicht für alle Teilnehmer vorgesehen ist" oder "Anzahl der Schwangerschaften wird bei Männern nicht gefragt". Bei missings wurden Messwerte erwartet, fehlen dann aber, z.B. "Untersuchungsabbruch". Weitere Unterteilungen sind möglich, ein hierarchisches Klassifikationssystem ist in Vorbereitung.
		</ui:define>
		<ui:define name="help_en">
			Here you can create a new missing list or modify an existing one. In the first row you can see, which study group the list is for. A name and a description are to be entered below. <br /><br />

Single missing codes are listed in the table. Each code is assigned a name and a type. The codes document the reasons for missing data values. They are classified in two types, missing or jump. Jumps are reasons exptected in the study design, e.g. if an examination is not performed for all participants, or a specific item is not applicable like number of pregnancies for men. As missing, we classify all cases of missingness not expected before, such as the abort of an examniation. Further classification is possible, a better elaborated hierarchical classification system is in preparation.
		</ui:define>
	</ui:composition>
</h:body>
</html>